<solidify-base-action-dialog [titleToTranslate]="'archiveRestricted.modal.requestAccess.title' | translate">
  <form (ngSubmit)="onSubmit()"
        [formGroup]="form"
        class="form"
  >
    <mat-form-field *ngIf="getFormControl(formDefinition.message) as fd"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
                    class="message"
    >
      <mat-label>{{labelTranslateEnum.message | translate}}</mat-label>
      <textarea [formControl]="fd"
                [required]="formValidationHelper.hasRequiredField(fd)"
                [solidifyValidation]="errors"
                matInput
      ></textarea>
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>

    <div *ngIf="(data.archive.dataUsePolicy | isNotNullNorUndefined) && showDuaDialog(data.archive.dataUsePolicy)"
         class="dua-wrapper"
    >
      <span *ngIf="!isDuaExternal(data.archive.dataUsePolicy)">{{labelTranslateEnum.thisArchiveIsSubjectToAContractOnDataUse | translate:{
          type: dataUsePolicyEnumTranslate(data.archive.dataUsePolicy) | translate
      } }}</span>
      <span *ngIf="isDuaExternal(data.archive.dataUsePolicy)">{{labelTranslateEnum.thisArchiveIsSubjectToAContractOnDataUseExternal | translate:{
        type: dataUsePolicyEnumTranslate(data.archive.dataUsePolicy) | translate
      } }}</span>
      <div *ngIf="data.archive.withDuaFile | isTrue"
           class="dua-file"
      >
        <button [matTooltip]="labelTranslateEnum.showPreview | translate"
                [disabled]="canPreviewDua | isFalse"
                class="preview-dua-file-button"
                color="primary"
                mat-icon-button
                type="button"
                (click)="previewDuaFile()"
        >
          <solidify-icon [iconName]="iconNameEnum.preview"
                         class="icon size-20"
          ></solidify-icon>
        </button>
        <button [matTooltip]="labelTranslateEnum.download | translate"
                class="download-dua-file-button"
                color="primary"
                mat-icon-button
                type="button"
                (click)="downloadDuaFile()"
        >
          <solidify-icon [iconName]="iconNameEnum.download"
                         class="icon size-20"
          ></solidify-icon>
        </button>
      </div>
    </div>

    <ng-template [ngIf]="data.archive.dataUsePolicy === dataUsePolicyEnum.CLICK_THROUGH_DUA">
      <mat-checkbox *ngIf="getFormControl(formDefinition.acceptDua) as fd"
                    [formControl]="fd"
                    color="primary"
      >{{labelTranslateEnum.iAcceptTheContractOnTheUseOfTheData | translate }}</mat-checkbox>
    </ng-template>

    <ng-template [ngIf]="data.archive.dataUsePolicy === dataUsePolicyEnum.SIGNED_DUA">
      <solidify-file-upload-input-container *ngIf="getFormControl(formDefinition.duaFileSigned) as fd"
                                            [backendFileAdapter]="dataFileAdapter"
                                            [uploadButtonLabelToTranslate]="labelTranslateEnum.duaFile"
                                            [titleToTranslate]="labelTranslateEnum.duaFile"
                                            [blobProvidedMode]="'NEVER'"
                                            [formControl]="fd"
                                            class="file-upload"
      ></solidify-file-upload-input-container>
    </ng-template>
  </form>
</solidify-base-action-dialog>
<div class="footer"
     mat-dialog-actions
>
  <button [mat-dialog-close]=""
          cdkFocusInitial
          mat-button
          color="primary"
  >{{labelTranslateEnum.close | translate}}
  </button>
  <button (click)="onSubmit()"
          (onEnter)="onSubmit()"
          [disabled]="form.invalid"
          [solidifyButtonSpinner]="isLoadingObs | async"
          color="primary"
          mat-flat-button
          solidifyShortCuts
  >{{labelTranslateEnum.send | translate}}
  </button>
</div>

